Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
RE Class Reference

`#include <gtest-port.h>`

## Public Member Functions
| RE (const RE &other)
| RE (const ::std::string &regex)
| RE (const char *regex)
| ~RE ()
const char * | pattern () const
| RE (const RE &other)
| RE (const ::std::string &regex)
| RE (const char *regex)
| ~RE ()
const char * | pattern () const
| RE (const RE &other)
| RE (const ::std::string &regex)
| RE (const char *regex)
| ~RE ()
const char * | pattern () const

## Static Public Member Functions
static bool | FullMatch (const ::std::string &str, const RE &re)
static bool | PartialMatch (const ::std::string &str, const RE &re)
static bool | FullMatch (const char *str, const RE &re)
static bool | PartialMatch (const char *str, const RE &re)
static bool | FullMatch (const ::std::string &str, const RE &re)
static bool | PartialMatch (const ::std::string &str, const RE &re)
static bool | FullMatch (const char *str, const RE &re)
static bool | PartialMatch (const char *str, const RE &re)
static bool | FullMatch (const ::std::string &str, const RE &re)
static bool | PartialMatch (const ::std::string &str, const RE &re)
static bool | FullMatch (const char *str, const RE &re)
static bool | PartialMatch (const char *str, const RE &re)

## Constructor & Destructor Documentation

RE | ( | const RE & | other | ) |
| inline

RE | ( | const ::std::string & | regex | ) |
| inline

RE | ( | const char * | regex | ) |
| inline

~RE | ( |  | ) |

RE | ( | const RE & | other | ) |
| inline

RE | ( | const ::std::string & | regex | ) |
| inline

RE | ( | const char * | regex | ) |
| inline

~RE | ( |  | ) |

RE | ( | const RE & | other | ) |
| inline

RE | ( | const ::std::string & | regex | ) |
| inline

RE | ( | const char * | regex | ) |
| inline

~RE | ( |  | ) |

## Member Function Documentation

static bool FullMatch | ( | const ::std::string & | str,
|  | const RE & | re
| ) |  |
| inline static

static bool FullMatch | ( | const ::std::string & | str,
|  | const RE & | re
| ) |  |
| inline static

static bool FullMatch | ( | const char * | str,
|  | const RE & | re
| ) |  |
| static

static bool FullMatch | ( | const char * | str,
|  | const RE & | re
| ) |  |
| static

static bool FullMatch | ( | const ::std::string & | str,
|  | const RE & | re
| ) |  |
| inline static

static bool FullMatch | ( | const char * | str,
|  | const RE & | re
| ) |  |
| static

static bool PartialMatch | ( | const ::std::string & | str,
|  | const RE & | re
| ) |  |
| inline static

static bool PartialMatch | ( | const ::std::string & | str,
|  | const RE & | re
| ) |  |
| inline static

static bool PartialMatch | ( | const char * | str,
|  | const RE & | re
| ) |  |
| static

static bool PartialMatch | ( | const char * | str,
|  | const RE & | re
| ) |  |
| static

static bool PartialMatch | ( | const ::std::string & | str,
|  | const RE & | re
| ) |  |
| inline static

static bool PartialMatch | ( | const char * | str,
|  | const RE & | re
| ) |  |
| static

const char* pattern | ( |  | ) | const
| inline

const char* pattern | ( |  | ) | const
| inline

const char* pattern | ( |  | ) | const
| inline

The documentation for this class was generated from the following files:

- persistence/rapidjson/thirdparty/gtest/include/gtest/internal/gtest-port.h
- testing/googleTest/fused-src/gtest/gtest.h